Jump to content

Archived

This topic is now archived and is closed to further replies.

targa

Flash Pour Linux

Recommended Posts

bon, je viens d'envoyer un mail à l'actu.

Theo, je paratage ton point de vue, mais ce n'est pas une raison pour bloquer l'information aux personnes que ça peut intéresser :yes:

Share this post


Link to post
Share on other sites

Disons que c'est largement moins bien que si c'était Hurd-ng qui sortait en release (et encore, plusieurs années après DNF :yes: ), mais c'est une réalité que c'est utile pour de nombreuses personnes.

C'est clair par contre que c'est pas libre du tout, donc c'est vraiment pas bien de ce côté là.

(ah oui aussi ça utilise alsa, et quelques-uns râlent parce qu'il n'y a pas le support esd/pulseaudio... et c'est vrai qu'en logiciel libre ça n'aurait pas été fondamentalement un problème)

Share this post


Link to post
Share on other sites

Plouf il fait des rpm pour tout :) ( car bon ya 1 fichier a copier dans .mozilla/plugins ), mais bon les noobs toussa ...

Sinon j'ai testé flash 9 et ca marche pas mal !

Share this post


Link to post
Share on other sites

à la limite, il pourrait faire une lib-flash proprio de m**** et laisser le soin à la communauté d'integrer ça correctement (sortie audio/video, packaging, etc...).

mais bon, ça ne résoud pas le problème

Share this post


Link to post
Share on other sites

J'avoue que pour installer le plugin Flash en lui-même ça ne prend pas vraiment un paquet d'installation... même pour un débutant, c'est très clairement écrit dans le README. L'avantage du paquet serait de l'incorporer dans la distribution pour que ça s'installe automatique lors de l'installation initiale... mais c'est plutôt rare que l'on retrouve des programmes "copyrighté" dans les distributions.

Installation instructions
------------

* Plugin
 o To install the plugin as user:
  + Copy or move libflashplayer.so into your plugins directory (usually located):  ~/.mozilla/plugins
  + Create the plugins folder if it doesn't exist
 o To install the plugin as root:
  + Copy or move the file into your system browser installed plugins directory (usually located): /usr/lib/<browser_directory>/plugins. (Ex.: /usr/lib/mozilla-firefox/plugins)
  + Create the plugins folder if it doesn't exist

Share this post


Link to post
Share on other sites

Cette méthode est valable pour un seul user de la machine ou alors il faut le faire dans chaque session...

Le mieux ne serait pas de le mettre directement dans les libs de tous le monde?

Chez moi :

/usr/lib/firefox/plugins/libflashplayer.so

Share this post


Link to post
Share on other sites

D'où l'énorme avantage du paquet qui va bien

[plouf@laptop i586]$ urpmq -l FlashPlayer-9.0-0.101806.1mdv2007.0.i586.rpm 
/usr/lib/mozilla/plugins
/usr/lib/mozilla/plugins/libflashplayer.so
/usr/lib/netscape
/usr/lib/netscape/plugins
/usr/lib/netscape/plugins/libflashplayer.so
/usr/share/doc/FlashPlayer-9.0
/usr/share/doc/FlashPlayer-9.0/readme.txt

Ca a l'avantage de marcher pour tout les navigateurs installés sur la machine (enfin si le paquet est bien fait \o/)

Share this post


Link to post
Share on other sites

D'où l'énorme avantage du paquet qui va bien

[plouf@laptop i586]$ urpmq -l FlashPlayer-9.0-0.101806.1mdv2007.0.i586.rpm 
/usr/lib/mozilla/plugins
/usr/lib/mozilla/plugins/libflashplayer.so
/usr/lib/netscape
/usr/lib/netscape/plugins
/usr/lib/netscape/plugins/libflashplayer.so
/usr/share/doc/FlashPlayer-9.0
/usr/share/doc/FlashPlayer-9.0/readme.txt

Ca a l'avantage de marcher pour tout les navigateurs installés sur la machine (enfin si le paquet est bien fait \o/)

D'ailleurs le gars si il a pas /usr/lib/netscape, ca fait quoi ca gerbe une erreur ? ca creer les repertoire ? ca fait rien ?

Share this post


Link to post
Share on other sites

Je viens de tester le plugin Flash 9 Beta sorti le 18 octobre 2006 (hier) avec Firefox 1.5 sous Debian 3.1. Ça fonctionne super bien !!! Les options de Flash sont fonctionnels contrairement à la version 7.

En revenant à mon problème d'animation Flash ne fonctionnant pas partout, j'ai trouvé la solution ! C'est effectivement le paramètre suivant (en gras) qui doit être incorporé dans le code HTML pour être compatible avec Firefox/Mozilla:

<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="100" height="100" id="mon_animation" align="middle">

<param name="movie" value="animation.swf" />

<param name="quality" value="high" />

<embed src="animation.swf" quality="high" width="100" height="100" name="mon_animation" align="middle" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />

</object>

Donc aux Webmestre qui veulent être compatible Linux ce serait bien de connaître cela (probablement que plusieurs le savais... mais je viens de l'apprende et je veux partager cet information avec vous :oops: )

Share this post


Link to post
Share on other sites

Effectivement le paquet pourrait avoir l'avantage de faire un scan des navigateurs présents et copier la librairie (.so) dans chaque programme au-lieu de copier manuellement de cette manière:

To install the plugin as root (Ceci active le plugin pour tous les usagers):
  + Copy or move the file into your system browser installed plugins directory (usually located): /usr/lib/<browser_directory>/plugins. (Ex.: /usr/lib/mozilla-firefox/plugins)

...Mais faut quand même pas être fou ! Avez-vous sérieusement installé tous les navigateurs existants sur votre machine ? Le gars ou l'entreprise qui installe ses postes va s'en tenir à 1 navigateur (Firefox, Mozilla, Netscape, ....)

Share this post


Link to post
Share on other sites

D'ailleurs le gars si il a pas /usr/lib/netscape, ca fait quoi ca gerbe une erreur ? ca creer les repertoire ? ca fait rien ?

Si il l'a pas ça le crée des navigateurs comme konqueror en ont besoin ils vont chercher les plugins dans ce rep.

Share this post


Link to post
Share on other sites

Tres bonne nouvelle...

J'en ai un peu marre de jouer a le mettre et le retirer uniquement quand c'est necessaire car ca fait foirer mon FF... Il réagit un peu comme une larve qui a une crampe...

Share this post


Link to post
Share on other sites
surtout que tacher un iceweasel tout libre, avec un flash tout pas libre, enfin bref... fin du débat :transpi:

C'est clair que c'est à faire frémir la FSF :francais:

Share this post


Link to post
Share on other sites

Bah, c'était pour la touche d'humour du jour ;)

Sinon, konqueror ça marche aussi mais bon, on va pas faire du feedback pour tous les navigateurs (il ne reste plus que Opera celà dit).

Sinon, il y a une date concernant la sortie définitive?

Gnash, pas encore essayé mais ça a l'air prometteur...

Share this post


Link to post
Share on other sites

×
×
  • Create New...